Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx
Class ExtendedObjectInstance

    java.lang.Object
      |
      +--javax.management.ObjectInstance
            |
            +--org.huihoo.jfox.jmx.ExtendedObjectInstance

All Implemented Interfaces:
  java.io.Serializable

public class ExtendedObjectInstance
extends ObjectInstance

Author:
  Young Yang
See Also:
  Serialized Form

Constructor Summary
`ExtendedObjectInstance(ObjectName objectName, java.lang.String className, java.lang.String interfaceClassName)`
`ExtendedObjectInstance(java.lang.String objectName, java.lang.String className, java.lang.String interfaceClassName)`

Method Summary
`java.lang.String` | `getInterfaceClassName()`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class javax.management.ObjectInstance
`equals, getClassName, getObjectName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedObjectInstance

    public ExtendedObjectInstance(java.lang.String objectName,
                                  java.lang.String className,
                                  java.lang.String interfaceClassName)
                           throws MalformedObjectNameException

### ExtendedObjectInstance

    public ExtendedObjectInstance(ObjectName objectName,
                                  java.lang.String className,
                                  java.lang.String interfaceClassName)

Method Detail

### getInterfaceClassName

    public java.lang.String getInterfaceClassName()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD